DEVS-Fire API

connectToServer

Creates a new simulation session and returns a `userToken` that must be passed to all subsequent API calls. Each simulation run requires a new token.

POST
/connectToServer

Request Body

text/plain

body?string

Header Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/connectToServer/"response = requests.post(base_url, data="testtest", headers={"accept": "application/json"})print(response.text)
"abc123xyz"

Response Body

application/json